#pragma once

#include "pch.h" // use stdafx.h in Visual Studio 2017 and earlier
#include <utility>
#include <limits.h>
#include <string>

#ifdef MYSIMPLEDLL_EXPORTS
#define MYSIMPLEDLL_API __declspec(dllexport)
#else
#define MYSIMPLEDLL_API __declspec(dllimport)
#endif

extern "C" MYSIMPLEDLL_API int ini_Read(const wchar_t* Paths_ini, const wchar_t* Section, const wchar_t* Key) {
    
    //int ReadIni = GetPrivateProfileInt(Section, Key, 0, Paths_ini);

    const int bufferSize = 256; // Dimensione del buffer per la stringa
    wchar_t  buffer[bufferSize];   // Buffer per memorizzare la stringa letta

    GetPrivateProfileString(Section, Key, NULL,  buffer, bufferSize, Paths_ini);
    std::wstring  userNumMax(buffer);
    
    return 0;
}
